declare class Headers {
  constructor(init?: HeadersInit)

  append(name: string, value: string): void
  set(name: string, value: string): void
  get(name: string): string | null
  has(name: string): boolean
  delete(name: string): void
  forEach(callback: (value: string, name: string, headers: Headers) => void): void
  raw(): Record<string, string>

  _normalizeName(name: string): string
}

export declare function registerGlobalHeadersPolyfill(): void
export default Headers